Skip to main content
GET
/
calls
List Calls
curl --request GET \
  --url https://api.puppeteerai.com/calls \
  --header 'Authorization: <authorization>'
{
  "calls": [
    {
      "id": "<string>",
      "thread_id": "<string>",
      "call_type": "<string>",
      "status": "<string>",
      "created_at": "<string>",
      "conversation_id": 123,
      "direction": "<string>",
      "from_number": "<string>",
      "to_number": "<string>",
      "scheduled_for": "<string>",
      "start_timestamp": 123,
      "end_timestamp": 123,
      "duration_ms": 123,
      "disconnection_reason": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>"
  }
}

Headers

Authorization
string
required

Query Parameters

status
string[] | null

Filter by call status. Repeat to allow multiple values.

call_type
string[] | null

Filter by call type. Repeat to allow multiple values.

direction
string[] | null

Filter by call direction. Repeat to allow multiple values.

from_date
string | null

Only include calls created at or after this ISO 8601 date/datetime.

to_date
string | null

Only include calls created at or before this ISO 8601 date/datetime.

thread_id
string | null

Only include calls belonging to this thread.

project_name
string | null

Only include calls belonging to this project.

cursor
string | null

Base64-encoded pagination cursor from a previous response.

limit
integer
default:20

Maximum number of calls to return.

Required range: 1 <= x <= 100

Response

Successful Response

calls
CallSummary · object[]
required

The page of calls, newest first.

pagination
CursorPagination · object
required